#define VECTOR_SIZE  128



/**************************************************************/

/* Magnitude Routine                                          */

/* Description: Takes an input vectors and converts from a    */

/* 16 bit twos-complement representation to an IEEE floating  */

/* point number (32 bit)                                      */

/**************************************************************/

zsp325()

{

/#

   SUBROUTINE MAG_64(zr325ref,zr325ref);

   SUBROUTINE MAG_128(zr325ref,zr325ref);

   SUBROUTINE MAG_256(zr325ref,zr325ref);

   SUBROUTINE MAG_512(zr325ref,zr325ref);

   SUBROUTINE MAG_1024(zr325ref,zr325ref);

   

   SUBROUTINE MAIN()

   {

 .DATA inp {

        1.0,0.0, 0.0,1.0, 3.0,0.0, 0.0,3.0, 3.0,4.0, 4.0,3.0, 0.0,0.0 ,1.0,1.0,

        1.0,0.0, 0.0,1.0, 3.0,0.0, 0.0,3.0, 3.0,4.0, 4.0,3.0, 0.0,0.0 ,1.0,1.0,

        1.0,0.0, 0.0,1.0, 3.0,0.0, 0.0,3.0, 3.0,4.0, 4.0,3.0, 0.0,0.0 ,1.0,1.0,

        1.0,0.0, 0.0,1.0, 3.0,0.0, 0.0,3.0, 3.0,4.0, 4.0,3.0, 0.0,0.0 ,1.0,1.0,

        1.0,0.0, 0.0,1.0, 3.0,0.0, 0.0,3.0, 3.0,4.0, 4.0,3.0, 0.0,0.0 ,1.0,1.0,

        1.0,0.0, 0.0,1.0, 3.0,0.0, 0.0,3.0, 3.0,4.0, 4.0,3.0, 0.0,0.0 ,1.0,1.0,

        1.0,0.0, 0.0,1.0, 3.0,0.0, 0.0,3.0, 3.0,4.0, 4.0,3.0, 0.0,0.0 ,1.0,1.0

       };

       .DATA carp 2048;

       .DATA spacer {9999.99999,8888.88888,7777.77777,6666.66666,5555.5555};

       .DATA out 1024;

       .DATA spacer2 {9999.99999,8888.88888,7777.77777,6666.66666,5555.5555};

       CALL MAG_1024(&inp,&out);

   }

#/

}

