zsp325()
{
/#
.ORG 0
.DATA In_Data1   2048;
.DATA In_Data2   2048;
.DATA Out_Data1  2048;
.DATA Out_Data2  2048;
.DATA tmp_data1   2048;
.DATA tmp_data2   2048;

 SUBROUTINE CCORR_1024(zr325ref X, zr325ref Y, zr325ref tmp)
 {
   LDR #0x50f210 => $MODE;  /* no store arith, rnd to nearest,no trap,1 mem sect
                               no freeze,2 clks/cyc, async stbs, no rst, 16bit ints
                               concurrent exec,statys pins=busreq,16 meg mem,
                               int=output,enable int, no xor */
   LDR X => $A;     /* get the first input pointer */
   LDR Y => $B;     /* get the second input pointer */
   ADDR #-128,[$A]; /* offset the registers to use pre_increment addr */
   ADDR #-128,[$B]; /* offset the registers to use pre_increment addr */
   LDR #16 => $LC;   /* 16 blocks of 64 is 1024 points */
   CORR_LOOP_1024::
     LD_*C:(64) $B+=128  => $C0; /* get the first segment of Y, Complex Conj */
     MULT_C:(64) $A+=128 => $C0; /* convert the segment in memory */
     ST_C:(64)  $C0     => $B;  /* save the results */
     JMPC:[DL] [!LZ], CORR_LOOP_1024;
   DO_INV_FFT::
   /* now, do the IFFT */
   CALL CIFFT(1024,Y,tmp);
   LDR tmp => $A;     /* get the pointer to the IFFT output */
   LDR Y =>   $B;     /* get the pointer to the output buffer */
   ADDR #132,[$A]; /* offset into input buff +260 - 128 pre-increment */
                   /* 260 = 2(complex) * 130(chan delay) locations */
   ADDR #-64,[$B]; /*  offset the pointer to use pre_inc addr */
   LDR #8 => $LC;   /* 8 blocks of 64 is 512 points */
   CORR_XFER_LOOP_1024::
     LD_C:(64) $A+=128  => $C0; /* get the first segment of Complex Time Sig */
     ST_R:(64) $R0      => $B+=64;  /* save the Real Part of the C.T.S. */
     JMPC:[DL] [!LZ], CORR_XFER_LOOP_1024;
 }

SUBROUTINE MAIN() {    /* initialize the stack, etc. Done in Main */
   CALL CFFT(1024,&tmp_data1,&In_Data1);
   CALL CFFT(1024,&tmp_data2,&In_Data2);
   CALL CCORR_1024(&In_Data1,&In_Data2,&Out_Data1);
   HLT;
}   
   
#/
}
