echo "\n"
echo "---------------------------\n"
echo "Signal Editor demonstration\n"
echo "---------------------------\n"
echo "\n"
echo "The Signal Editor will generate a 1 cycle complex cosine wave\n"
echo "that consists of 64 samples and then add to it high frequency,\n"
echo "low amplitude components (noise).\n"
echo "\n"
pause
echo "First `gensig' will create a buffer and write a signal into the buffer:\n"
echo "> gensig operation=new nsamp=64\n"
gensig nsamp=64,sigtype=comp,func=cos,ope=new,amp=1.0,phase=30,cyc=1
echo "\n"
pause
echo "Now `mwrite' will write the buffer into memory:\n"
echo "> mwrite nsamp=64\n"
mwrite nsamp=64,memaddr=0,bufaddr=0,trans=ieee
echo "\n"
pause
echo "and `cplot' will plot the signal on the screen:\n"
echo "> cplot  nsamp=64\n"
echo "\n"
pause
cplot  nsamp=64,memtype=ext,format=comp,addr=0
echo "\n"
echo "Lets add noise to the signal:\n"
echo "> gensig nsamp=64, cycle=42, amplitude=0.1, phase=45\n"
gensig nsamp=64,cycle=42,amplitude=0.1,phase=45,sigtype=comp,ope=add,fun=cos
echo "> gensig nsamp=64, cycle=55.5, amplitude=0.05, phase=60\n"
gensig nsamp=64,cycle=55.5,amplitude=0.05,phase=60,sigtype=comp,ope=add,fun=cos
echo "\n"
echo "and here is the final signal created:\n"
echo "\n"
pause
mwrite nsamp=64,memaddr=0,bufaddr=0
cplot  nsamp=64,memtype=ext,format=comp,addr=0
echo "\n"
