#define VECTOR_SIZE  128

/**************************************************************/
/* DFT Routine                                                */
/* Description: Takes an input vector and computes the DFT    */
/* at a specific frequency                                    */
/**************************************************************/
zsp325()
{
/#
   SUBROUTINE DFT1024(zr325ref input,zr325ref freq, zr325ref output)
   {
          
      LDR #0x70f201 => $MODE;
      LDR *output => $SAR;  /* storage for the output var */
      LDR *input => $B;/* get the output pointer */
      ADDR #-64,[$A,$B]; /* offset the registers to use pre_increment addr */
      LD_C:(32) $A+=64 => $C0;  /* get the first segment */
      INTFP_C:(32) $C0 => $C0 ;  /* convert the segment in memory */
      LD_C:(32) $A+=64 => $C1; /* get next segment */
      INTFP_C:(32) $C1 => $C1 ;  /* convert the segment in memory */
      ST_C:(32) $C0 => $B+=64; /* store the first segment */
      ST_C:(32) $C1 => $B+=64; /* store the second segment */
   }
   
   SUBROUTINE MAIN()
   {
       .DATA inp {1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,
                  23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,
                  42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,
                  61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
                  81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,
                  100,101,102,103,104,105,106,107,108,109,110,111,112,113,
                  114,115,116,117,118,119,120,121,122,123,124,125,126,127,
                  128,129,130,131,132,133,134,135,136,137,138,139,140,141,
                  142,143,144,145,146,147};
       .DATA spacer {9999.99999,8888.88888,7777.77777,6666.66666,5555.5555};
       .DATA out 128;
       CALL INT_TO_FLOAT128(&inp,&out);
   }
#/
}